<?php 

class Qcld_WPBot_Helper
{
    public function qcld_wb_chatbot_str_replace($messages=array()){
        $refined_mesgses=array();
        if(!empty($messages)){
            foreach ($messages as $message){
                $refined_msg=str_replace('\\', '', $message);
                array_push($refined_mesgses,$refined_msg);
            }
        }
        return $refined_mesgses;
    }

    public function qcld_get_stopwords(){

        $words = str_replace('\\', '', get_option('qlcd_wp_chatbot_stop_words'));
        if(get_option('qlcd_wp_chatbot_stop_words_name')!='english'){
            $words .="a,able,about,above,abst,accordance,according,accordingly,across,act,actually,added,adj,affected,affecting,affects,after,afterwards,again,against,ah,all,almost,alone,along,already,also,although,always,am,among,amongst,an,and,announce,another,any,anybody,anyhow,anymore,anyone,anything,anyway,anyways,anywhere,apparently,approximately,are,aren,arent,arise,around,as,aside,ask,asking,at,auth,available,away,awfully,b,back,be,became,because,become,becomes,becoming,been,before,beforehand,begin,beginning,beginnings,begins,behind,being,believe,below,beside,besides,between,beyond,biol,both,brief,briefly,but,by,c,ca,came,can,cannot,can't,cause,causes,certain,certainly,co,com,come,comes,contain,containing,contains,could,couldnt,d,date,did,didn't,different,do,does,doesn't,doing,done,don't,down,downwards,due,during,e,each,ed,edu,effect,eg,eight,eighty,either,else,elsewhere,end,ending,enough,especially,et,et-al,etc,even,ever,every,everybody,everyone,everything,everywhere,ex,except,f,far,few,ff,fifth,first,five,fix,followed,following,follows,for,former,formerly,forth,found,four,from,further,furthermore,g,gave,get,gets,getting,give,given,gives,giving,go,goes,gone,got,gotten,h,had,happens,hardly,has,hasn't,have,haven't,having,he,hed,hence,her,here,hereafter,hereby,herein,heres,hereupon,hers,herself,hes,hi,hid,him,himself,his,hither,home,how,howbeit,however,hundred,i,id,ie,if,i'll,im,immediate,immediately,importance,important,in,inc,indeed,index,information,instead,into,invention,inward,is,isn't,it,itd,it'll,its,itself,i've,j,just,k,keep,keeps,kept,kg,km,know,known,knows,l,largely,last,lately,later,latter,latterly,least,less,lest,let,lets,like,liked,likely,line,little,'ll,look,looking,looks,ltd,m,made,mainly,make,makes,many,may,maybe,me,mean,means,meantime,meanwhile,merely,mg,might,million,miss,ml,more,moreover,most,mostly,mr,mrs,much,mug,must,my,myself,n,na,name,namely,nay,nd,near,nearly,necessarily,necessary,need,needs,neither,never,nevertheless,new,next,nine,ninety,no,nobody,non,none,nonetheless,noone,nor,normally,nos,not,noted,nothing,now,nowhere,o,obtain,obtained,obviously,of,off,often,oh,ok,okay,old,omitted,on,once,one,ones,only,onto,or,ord,other,others,otherwise,ought,our,ours,ourselves,out,outside,over,overall,owing,own,p,page,pages,part,particular,particularly,past,per,perhaps,placed,please,plus,poorly,possible,possibly,potentially,pp,predominantly,present,previously,primarily,probably,promptly,proud,provides,put,q,que,quickly,quite,qv,r,ran,rather,rd,re,readily,really,recent,recently,ref,refs,regarding,regardless,regards,related,relatively,research,respectively,resulted,resulting,results,right,run,s,said,same,saw,say,saying,says,sec,section,see,seeing,seem,seemed,seeming,seems,seen,self,selves,sent,seven,several,shall,she,shed,she'll,shes,should,shouldn't,show,showed,shown,showns,shows,significant,significantly,similar,similarly,since,six,slightly,so,some,somebody,somehow,someone,somethan,something,sometime,sometimes,somewhat,somewhere,soon,sorry,specifically,specified,specify,specifying,still,stop,strongly,sub,substantially,successfully,such,sufficiently,suggest,sup,sure,t,take,taken,taking,tell,tends,th,than,thank,thanks,thanx,that,that'll,thats,that've,the,their,theirs,them,themselves,then,thence,there,thereafter,thereby,thered,therefore,therein,there'll,thereof,therere,theres,thereto,thereupon,there've,these,they,theyd,they'll,theyre,they've,think,this,those,thou,though,thoughh,thousand,throug,through,throughout,thru,thus,til,tip,to,together,too,took,toward,towards,tried,tries,truly,try,trying,ts,twice,two,u,un,under,unfortunately,unless,unlike,unlikely,until,unto,up,upon,ups,us,use,used,useful,usefully,usefulness,uses,using,usually,v,value,various,'ve,very,via,viz,vol,vols,vs,w,want,wants,was,wasnt,way,we,wed,welcome,we'll,went,were,werent,we've,what,whatever,what'll,whats,when,whence,whenever,where,whereafter,whereas,whereby,wherein,wheres,whereupon,wherever,whether,which,while,whim,whither,who,whod,whoever,whole,who'll,whom,whomever,whos,whose,why,widely,willing,wish,with,within,without,wont,words,world,would,wouldnt,www,x,y,yes,yet,you,youd,you'll,your,youre,yours,yourself,yourselves,you've,z,zero";
        }
        return $words;
    }

    //getting exact agent icon path
    public  function qcld_wb_chatbot_agent_icon(){
		
        if(get_option('wp_chatbot_custom_agent_path')!="" && get_option('wp_chatbot_agent_image')=="custom-agent.png"  ){
            $wp_chatbot_custom_icon_path=get_option('wp_chatbot_custom_agent_path');
        }
		else if(get_option('wp_chatbot_custom_agent_path')!="" && get_option('wp_chatbot_agent_image')!="custom-agent.png"){
            $wp_chatbot_custom_icon_path=QCLD_wpCHATBOT_IMG_URL.get_option('wp_chatbot_agent_image');
        }
		else
		{
			if(get_option('wp_chatbot_agent_image')!=''){
				$wp_chatbot_custom_icon_path=QCLD_wpCHATBOT_IMG_URL.get_option('wp_chatbot_agent_image');
			}else{
				$wp_chatbot_custom_icon_path=QCLD_wpCHATBOT_IMG_URL.'custom-agent.png';
			}
            
        }
		
        return $wp_chatbot_custom_icon_path;
    }
	public function qcld_wb_chatbot_dynamic_multi_option($options = array(), $option_name = "", $option_text = "")
    {
        ?>
        <h4 class="qc-opt-title"><?php echo esc_html__($option_text, 'wpchatbot'); ?></h4>
        <div class="wp-chatbot-lng-items">
            <?php
            if (is_array($options) && count($options) > 0) {
                foreach ($options as $key => $value) {
                    ?>
                    <div class="row" class="wp-chatbot-lng-item">
                        <div class="col-xs-10">
                            <textarea type="text"
                                   class="form-control qc-opt-dcs-font"
                                   name="<?php echo esc_html($option_name); ?>[]"
                                   ><?php echo esc_html(str_replace('\\', '', $value)); ?></textarea>
                        </div>
                        <div class="col-xs-2">
                            <button type="button" class="btn btn-danger btn-sm wp-chatbot-lng-item-remove">
                                <span class="glyphicon glyphicon-remove"></span>
                            </button>
                        </div>
                    </div>
                    <?php
                }
            } else { ?>
                <div class="row" class="wp-chatbot-lng-item">
                    <div class="col-xs-10">
                        <textarea type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>[]"
                               ><?php echo esc_html($option_text); ?></textarea>
                    </div>
                    <div class="col-xs-2">
                        <span class="wp-chatbot-lng-item-remove"><?php echo esc_html__('X', 'wpchatbot'); ?></span>
                    </div>
                </div>
            <?php } ?>
        </div>
        <div class="row">
            <div class="col-sm-2 col-sm-offset-10">
                <button type="button" class="btn btn-success btn-sm wp-chatbot-lng-item-add"> <span class="glyphicon glyphicon-plus"></span> </button>
            </div>
        </div>
        <?php
    }
	public function qcld_wb_chatbot_dynamic_multi_option_custom($options = array(), $option_name = "", $option_text = "")
    {
        ?>
        <h4 class="qc-opt-title"><?php echo esc_html__($option_text, 'wpchatbot'); ?></h4>
        <div class="wp-chatbot-lng-items">
			<?php if (is_array($options) && count($options) > 0) { 
				$checkboxes = unserialize(get_option($option_name.'_checkbox'));
				$labels = unserialize(get_option($option_name.'_label'));
				foreach($options as $key=>$value){
			?>
                <div class="row" class="wp-chatbot-lng-item">
                    <div class="col-xs-10">
						<p><?php echo esc_html__('Intent Name - Must match EXACTLY as what you Added in DialogFlow. This will show the intent in the Start Menu','wpchatbot'); ?></p>
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>[]"
                               value="<?php echo esc_html(str_replace('\\', '', $value)); ?>">
							   
						<p class="wpbot_multi_option" ><?php echo esc_html__('Intent Label','wpchatbot'); ?></p>
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>_label[]"
                               value="<?php echo esc_html(str_replace('\\', '', $labels[$key])); ?>">
							   
						<div class="cxsc-settings-blocks wpb_custom_checkbox">
                            
							<p><input value="1" type="checkbox" class="wpb_repeatable_checkbox"
                                                   name="<?php echo esc_html($option_name); ?>_checkbox[]" <?php echo ($checkboxes[$key]==1?'checked="checked"':''); ?> >
							&nbsp;&nbsp;<?php echo esc_html__('If you have created a Step by Step Question Answer Intent in DialogFlow, you can Enable the Option to have the Answers emailed to you. This can be used to create a Poll or Survey. See documentation for more details!','wpchatbot'); ?>
                            <input value="0" class="wp_check_hidden" type="hidden"
                                                   name="<?php echo esc_html($option_name); ?>_checkbox[]" <?php echo ($checkboxes[$key]==1?'disabled="disabled"':''); ?> >
                            </p>
						</div>
                    </div>
                    <div class="col-xs-2 wpb_custom_remove">
                        <button type="button" class="btn btn-danger btn-sm wp-chatbot-lng-item-remove">
                                <span class="glyphicon glyphicon-remove"></span>
                            </button>
                    </div>
                </div>
			<?php 
				}
			}else{ 
			?>
				<div class="row" class="wp-chatbot-lng-item">
                    <div class="col-xs-10">
						<p><?php echo esc_html__('Intent Name','wpchatbot'); ?></p>
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>[]"
                               value="<?php echo esc_html($option_text); ?>" placeholder="Intent Name">
							   
						<p class="wpbot_multi_option"><?php echo esc_html(esc_html__('Intent Label','wpchatbot')); ?></p>
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>_label[]"
                               value="<?php echo esc_html($option_text); ?>" placeholder="Intent Name">
							   
						<div class="cxsc-settings-blocks wpb_custom_checkbox">
							<p><input value="1" type="checkbox" class="wpb_repeatable_checkbox"
                                                   name="<?php echo esc_html($option_name); ?>_checkbox[]" >
							&nbsp;&nbsp;<?php echo esc_html(esc_html__('If you have created a Step by Step Question Answer Intent in DialogFlow, you can Enable the Option to have the Answers emailed to you. This can be used to create a Poll or Survey. See documentation for more details!','wpchatbot')); ?></p>
						</div>
                    </div>
                    <div class="col-xs-2 wpb_custom_remove">
                        <button type="button" class="btn btn-danger btn-sm wp-chatbot-lng-item-remove">
                                <span class="glyphicon glyphicon-remove"></span>
                        </button>
                    </div>
                </div>
			<?php } ?>
				
        </div>
        <div class="row">
            <div class="col-sm-2 col-sm-offset-10">
                <button type="button" class="btn btn-success btn-sm wp-chatbot-lng-item-add"> <span class="glyphicon glyphicon-plus"></span> </button>
            </div>
        </div>
        <?php
    }

    public function qcld_wb_chatbot_dynamic_multi_option_menu($options = array(), $option_name = "", $option_text = "")
    {
        ?>
        <h4 class="qc-opt-title"><?php echo esc_html__($option_text, 'wpchatbot'); ?></h4>
        <div class="wp-chatbot-lng-items">
			<?php if (is_array($options) && count($options) > 0) { 
				$checkboxes = unserialize(get_option($option_name.'_checkbox'));
				$labels = unserialize(get_option($option_name.'_link'));
				$types = unserialize(get_option($option_name.'_type'));
				foreach($options as $key=>$value){
			?>
                <div class="row" class="wp-chatbot-lng-item">
                    <div class="col-xs-10">
						<p><?php echo esc_html__('Button Label','wpchatbot'); ?></p>
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>[]"
                               value="<?php echo esc_html(str_replace('\\', '', $value)); ?>">
							   
						<p class="wpbot_multi_option" ><?php echo esc_html__('Button Link','wpchatbot'); ?></p>
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>_link[]"
                               value="<?php echo esc_html(str_replace('\\', '', $labels[$key])); ?>">
							   
						<div class="cxsc-settings-blocks wpb_custom_checkbox">
                            
							<p style="display: flex;align-items: center;"><input value="1" type="checkbox" class="wpb_repeatable_checkbox"
                                                   name="<?php echo esc_html($option_name); ?>_checkbox[]" <?php echo (isset($checkboxes[$key]) && $checkboxes[$key]==1?'checked="checked"':''); ?> >
							&nbsp;&nbsp;<?php echo esc_html__('Open in New Tab','wpchatbot'); ?>
                            <input value="0" class="wp_check_hidden" type="hidden"
                                                   name="<?php echo esc_html($option_name); ?>_checkbox[]" <?php echo (isset($checkboxes[$key]) && $checkboxes[$key]==1?'disabled="disabled"':''); ?> />
                            </p>
						</div>
						
						
						<div class="cxsc-settings-blocks wpb_custom_checkbox">
                            
							<p style="display: flex;align-items: center;">
							
							Link Type: 
							<select name="<?php echo esc_html($option_name); ?>_type[]">
								<option value="link" <?php echo (isset($types[$key]) && $types[$key]=='link'?'selected="selected"':''); ?>>Link</option>
								
								<option value="email" <?php echo (isset($types[$key]) && $types[$key]=='email'?'selected="selected"':''); ?>>Email</option>
								
								<option value="phone" <?php echo (isset($types[$key]) && $types[$key]=='phone'?'selected="selected"':''); ?>>Phone</option>
							</select>

                            </p>
						</div>
						
                    </div>
                    <div class="col-xs-2 wpb_custom_remove">
                        <button type="button" class="btn btn-danger btn-sm wp-chatbot-lng-item-remove">
                                <span class="glyphicon glyphicon-remove"></span>
                            </button>
                    </div>
                </div>
			<?php 
				}
			}else{ 
			?>
				<div class="row" class="wp-chatbot-lng-item">
                    <div class="col-xs-10">
						<p><?php echo esc_html__('Button Label','wpchatbot'); ?></p>
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>[]"
                               value="<?php echo esc_html($option_text); ?>" placeholder="Button Label">
							   
						<p class="wpbot_multi_option"><?php echo esc_html(esc_html__('Button Link','wpchatbot')); ?></p>
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo esc_html($option_name); ?>_link[]"
                               value="<?php echo esc_html($option_text); ?>" placeholder="Button Link">
							   
						<div class="cxsc-settings-blocks wpb_custom_checkbox">
							<p style="display: flex;align-items: center;"><input value="1" type="checkbox" class="wpb_repeatable_checkbox"
                                                   name="<?php echo esc_html($option_name); ?>_checkbox[]" >
							&nbsp;&nbsp;<?php echo esc_html(esc_html__('Open in New Tab','wpchatbot')); ?></p>
						</div>
						
						<div class="cxsc-settings-blocks wpb_custom_checkbox">
                            
							<p style="display: flex;align-items: center;">
							
							Link Type: 
							<select name="<?php echo esc_html($option_name); ?>_type[]">
								<option value="link" >Link</option>
								
								<option value="email" >Email</option>
								
								<option value="phone" >Phone</option>
							</select>
							
                            </p>
						</div>
						
                    </div>
                    <div class="col-xs-2 wpb_custom_remove">
                        <button type="button" class="btn btn-danger btn-sm wp-chatbot-lng-item-remove">
                                <span class="glyphicon glyphicon-remove"></span>
                        </button>
                    </div>
                </div>
			<?php } ?>
				
        </div>
        <div class="row">
            <div class="col-sm-2 col-sm-offset-10">
                <button type="button" class="btn btn-success btn-sm wp-chatbot-lng-item-add"> <span class="glyphicon glyphicon-plus"></span> </button>
            </div>
        </div>
        <?php
    }
    
    public function wp_chatbot_opening_hours($day_name,$wpwbot_times){
        if(!empty($wpwbot_times) && isset($wpwbot_times[$day_name])){
            $day_times=$wpwbot_times[$day_name];
            if(!empty($day_times)){
                $segment=0;
                foreach ($day_times as $day_time ){
        ?>
            <div class="wp-chatbot-hours-container">
                <div class="wp-chatbot-hours">
                    <input type="text" class="wp-chatbot-hour" name="wpwbot_hours[<?php echo esc_html($day_name); ?>][<?php echo esc_html($segment); ?>][]" value="<?php if(isset($day_time[0])){echo $day_time[0];}else{ echo "00:00";}  ?>" >
                    <input type="text" class="wp-chatbot-hour" name="wpwbot_hours[<?php echo esc_html($day_name); ?>][<?php echo esc_html($segment); ?>][]" value="<?php if(isset($day_time[1])){echo $day_time[1];}else{ echo "00:00";}  ?>" >
                </div>
                <div class="wp-chatbot-hours-remove">
                    <button type="button" class="btn btn-danger btn-sm wp-chatbot-hours-remove-btn">
                        <i class="fa fa-times" aria-hidden="true"></i>
                    </button>
                </div>
            </div>

        <?php
            $segment++;
            }
          }
        }else{
        ?>
            <div class="wp-chatbot-hours-container">
                <div class="wp-chatbot-hours">
                    <input type="text" class="wp-chatbot-hour" name="wpwbot_hours[<?php echo esc_html($day_name); ?>][0][]" value="00:00" > <input type="text" name="wpwbot_hours[<?php echo esc_html($day_name); ?>][0][]" value="00:00">
                </div>
                <div class="wp-chatbot-hours-remove">
                    <button type="button" class="btn btn-danger btn-sm wp-chatbot-hours-remove-btn">
                        <i class="fa fa-times" aria-hidden="true"></i>
                    </button>
                </div>
            </div>
        <?php
        }
    }

}
